RPC_GSS_OID_TO_MECH(3)

NAME
rpc_gss_oid_to_mech - Convert a mechanism name to a GSS-API oid

LIBRARY
librpcsec_gss

SYNOPSIS
#include <rpc/rpcsec_gss.h>
bool_t
rpc_gss_oid_to_mech(gss_OID oid, const char **mech_ret);

DESCRIPTION
This function looks up a mechanism by oid by reading the file /etc/gss/mech.

PARAMETERS

oid The mechanism oid to search for

mech_ret
    If the mechanism is found, the corresponding mechanism name is returned in *mech_ret

RETURN VALUES
If the mechanism is found, TRUE is returned, otherwise FALSE.

SEE ALSO
gssapi(3), rpc(3), rpcsec_gss(3)

HISTORY
The rpc_gss_oid_to_mech function first appeared in FreeBSD 8.0.

AUTHORS
This manual page was written by Doug Rabson <dfr@FreeBSD.org>.